package com.cf.imes.module.executor.validation.plan;


import jakarta.validation.Constraint;
import jakarta.validation.Payload;
import java.lang.annotation.*;

/**
 * @author 排单状态校验注解
 */
@Target({
        ElementType.PARAMETER,
        ElementType.FIELD,
})
@Retention(RetentionPolicy.RUNTIME)
@Documented
@Constraint(
        validatedBy = {PlanStatusValidator.class}
)
public @interface PlanStatusValid {

    String message() default "排单状态不合法";

    Class<?>[] groups() default {};

    Class<? extends Payload>[] payload() default {};

}
